Bug 57602 - [Qt] DumpRenderTree breaks compilation in some uClibc environments
Summary: [Qt] DumpRenderTree breaks compilation in some uClibc environments
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other Linux
: P5 Enhancement
Assignee: Nobody
URL:
Keywords: Qt, QtTriaged
Depends on:
Blocks:
 
Reported: 2011-03-31 19:48 PDT by Keith Kyzivat
Modified: 2011-04-04 10:30 PDT (History)
7 users (show)

See Also:


Attachments
Patch (1.23 KB, patch)
2011-03-31 19:53 PDT, Keith Kyzivat
no flags Details | Formatted Diff | Diff
Patch (1.23 KB, patch)
2011-04-01 11:38 PDT, Keith Kyzivat
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Keith Kyzivat 2011-03-31 19:48:07 PDT
When using uClibc, depending on how it was compiled, it can pretend to be glibc, by defining __GLIBC__.

DumpRenderTree uses __GLIBC__ guards around a backtrace debugging helper that is defined in glibc, but not defined in uClibc.

kit/Tools/DumpRenderTree/qt -I. -o obj/release/main.o ../../../../webkit/Tools/DumpRenderTree/qt/main.cpp
../../../../webkit/Tools/DumpRenderTree/qt/main.cpp:59:22: error: execinfo.h: No such file or directory
../../../../webkit/Tools/DumpRenderTree/qt/main.cpp: In function 'QString get_backtrace()':
../../../../webkit/Tools/DumpRenderTree/qt/main.cpp:79: error: 'backtrace' was not declared in this scope
../../../../webkit/Tools/DumpRenderTree/qt/main.cpp:84: error: 'backtrace_symbols' was not declared in this scope
make: *** [obj/release/main.o] Error 1
Comment 1 Keith Kyzivat 2011-03-31 19:53:21 PDT
Created attachment 87820 [details]
Patch
Comment 2 Keith Kyzivat 2011-03-31 19:54:00 PDT
add myself to CC
Comment 3 Laszlo Gombos 2011-04-01 01:41:16 PDT
Comment on attachment 87820 [details]
Patch

r=me. Please fix the typo in the title (uClbc) before committing.
Comment 4 Keith Kyzivat 2011-04-01 08:42:27 PDT
Comment on attachment 87820 [details]
Patch

Title fixed.
Comment 5 WebKit Review Bot 2011-04-01 08:42:41 PDT
Comment on attachment 87820 [details]
Patch

Rejecting attachment 87820 [details] from commit-queue.

keith.kyzivat@nokia.com does not have committer permissions according to http://trac.webkit.org/browser/trunk/Tools/Scripts/webkitpy/common/config/committers.py.

- If you do not have committer rights please read http://webkit.org/coding/contributing.html for instructions on how to use bugzilla flags.

- If you have committer rights please correct the error in Tools/Scripts/webkitpy/common/config/committers.py by adding yourself to the file (no review needed).  The commit-queue restarts itself every 2 hours.  After restart the commit-queue will correctly respect your committer rights.
Comment 6 Benjamin Poulain 2011-04-01 09:15:23 PDT
Comment on attachment 87820 [details]
Patch

WTF
Comment 7 Benjamin Poulain 2011-04-01 09:15:59 PDT
Why would you cq+ this? The title has not been fixed in the patch.
Comment 8 Keith Kyzivat 2011-04-01 11:27:46 PDT
Doh, my fault -- I didn't realize (or closely check) that the typo was in the commit message...  Fixing shortly.
Comment 9 Keith Kyzivat 2011-04-01 11:38:04 PDT
Created attachment 87887 [details]
Patch
Comment 10 WebKit Commit Bot 2011-04-04 10:30:14 PDT
Comment on attachment 87887 [details]
Patch

Clearing flags on attachment: 87887

Committed r82844: <http://trac.webkit.org/changeset/82844>
Comment 11 WebKit Commit Bot 2011-04-04 10:30:20 PDT
All reviewed patches have been landed.  Closing bug.